#include<fstream>
#include<algorithm>
using namespace std;
int n;
ifstream f1("HOANVI.INP");
ofstream f2("HOANVI.OUT");
void xuat(int a[])
{
	for(int i=0;i<n;i++)
	{
		f2<<a[i];
	}
}
int ck(int a[],int n)
{
	int g[n];
	for(int i=0;i<n;i++)
	{
		g[i]=a[i];
	}
	sort(g,g+n);
	for(int i=0;i<n-1;i++)
	{
		if(g[i]==g[i+1]) return 0;
	}
	return 1;
}
void hv(int s,int b,int a[])
{
	int i;
	for(i=1;i<=s;i++)
	{
		a[b]=i;
		if(ck(a,b+1)==0) continue;
		if(b+1==n) 
		{
			xuat(a);
			f2<<endl;
		}
		else hv(s,b+1,a);
	}
}
int main()
{
	
	f1>>n;
	f1.close();
	int a[n];
	int i;
	for(i=0;i<n;i++)
	{
		a[i]=0;
	}
	hv(n,0,a);
	f2.close();
	return 0;
}
